# Uses of Interface
org.eclipse.swt.events.PaintListener

Packages that use PaintListener
Package
Description
org.eclipse.swt.widgets

## Uses of PaintListener in org.eclipse.swt.widgets

Methods in org.eclipse.swt.widgets with parameters of type PaintListener
Modifier and Type
Method
Description
`void`
Canvas.`addPaintListener(PaintListener listener)`
Adds the listener to the collection of listeners who will be notified when the receiver needs to be painted, by sending it one of the messages defined in the `PaintListener` interface.
`void`
Canvas.`removePaintListener(PaintListener listener)`
Removes the listener from the collection of listeners who will be notified when the receiver needs to be painted.